

-- Definition of root Malfunction class

device.malfunctionClass = {} 
  function device.malfunctionClass:new(malfunctionName) 
    local obj = {}
    obj.malfunctionName = malfunctionName
    obj.highProbabilityCounter = 0
    obj.probabilityCounter = 0
    obj.lowProbabilityCounter = 0
	
    setmetatable(obj, self)
    self.__index = self
    return obj   
  end
  
function device.malfunctionClass:highProbability()
    self.highProbabilityCounter = self.highProbabilityCounter + 1
	addDebugInfo(' -> ' .. globalVariableForNameDiagRuleApplied .. ' rule signs' .. ' ' .. self.malfunctionName .. ' high probability')
end

function device.malfunctionClass:probability() 
    self.probabilityCounter = self.probabilityCounter + 1 
	addDebugInfo(' -> ' .. globalVariableForNameDiagRuleApplied .. ' rule signs' .. ' ' .. self.malfunctionName .. ' probability')
end

function device.malfunctionClass:lowProbability() 
    self.lowProbabilityCounter = self.lowProbabilityCounter + 1 
	addDebugInfo(' -> ' .. globalVariableForNameDiagRuleApplied .. ' rule signs' .. ' ' .. self.malfunctionName .. ' low probability')
end
  
function device.malfunctionClass:verdict()
    if self.highProbabilityCounter ~= 0 or self.probabilityCounter ~= 0 or self.lowProbabilityCounter ~= 0 then
        local verdict = ""
        if self.highProbabilityCounter ~= 0 then 
            verdict = verdict .. ' ' .. self.highProbabilityCounter .. ' ' .. rl.loc(rl.plural('sign indicates', 'signs indicate', self.highProbabilityCounter)) .. ' ' .. rl.loc('a high probability of') .. ' ' .. rl.loc(self.malfunctionName) .. '.\n'
        end
        if self.probabilityCounter ~= 0 then 
            verdict = verdict .. ' ' .. self.probabilityCounter .. ' ' .. rl.loc(rl.plural('sign indicates', 'signs indicate', self.probabilityCounter)) .. ' ' .. rl.loc('a probability of') .. ' ' .. rl.loc(self.malfunctionName) .. '.\n'
        end
        if self.lowProbabilityCounter ~= 0 then 
            verdict = verdict .. ' ' .. self.lowProbabilityCounter .. ' ' .. rl.loc(rl.plural('sign indicates', 'signs indicate', self.lowProbabilityCounter)) .. ' ' .. rl.loc('a low probability of') .. ' ' .. rl.loc(self.malfunctionName) .. '.\n'
        end
		addDebugInfo(self.debugInfo)
        return verdict
    else return nil end       
end
  
function device.malfunctionClass:malfunctionDetected()
    if self.highProbabilityCounter == 0 and self.probabilityCounter == 0 then
        return false
    else
        return true
    end
end
  